My Project: dgFastAABBInfo Class Reference

My Project

Public Member Functions | Protected Attributes | Friends | List of all members
dgFastAABBInfo Class Reference

`#include <dgIntersections.h>`

Inheritance diagram for dgFastAABBInfo:

## Public Member Functions

DG_INLINE | dgFastAABBInfo ()
DG_INLINE | dgFastAABBInfo (const dgMatrix &matrix, const dgVector &size)
DG_INLINE | dgFastAABBInfo (const dgVector &p0, const dgVector &p1)
DG_INLINE void | SetTransposeAbsMatrix (const dgMatrix &matrix)
DG_INLINE dgFloat32 | PolygonBoxRayDistance (const dgVector &faceNormal, dgInt32 indexCount, const dgInt32 *const indexArray, dgInt32 stride, const dgFloat32 *const vertexArray, const dgFastRayTest &ray) const
DG_INLINE dgFloat32 | PolygonBoxDistance (const dgVector &faceNormal, dgInt32 indexCount, const dgInt32 *const indexArray, dgInt32 stride, const dgFloat32 *const vertexArray) const
Public Member Functions inherited from dgObb
DG_INLINE | dgObb ()
| dgObb (const dgQuaternion &quat, const dgVector &position, const dgVector &dim=dgVector(0, 0, 0, 0))
| dgObb (const dgMatrix &matrix, const dgVector &dim=dgVector(0, 0, 0, 0))
dgObb & | operator= (const dgMatrix &arg)
void | Scale (dgFloat32 Ws, dgFloat32 Hs, dgFloat32 Bs)
void | SetDimensions (dgFloat32 W, dgFloat32 H, dgFloat32 B)
void | SetDimensions (const dgFloat32 vertex[], dgInt32 strideInBytes, dgInt32 vertexCount, const dgMatrix *basis=NULL)
void | SetDimensions (const dgFloat32 vertex[], dgInt32 strideInBytes, const dgInt32 triangles[], dgInt32 indexCount, const dgMatrix *basis)
Public Member Functions inherited from dgMatrix
| dgMatrix ()
| dgMatrix (const dgFloat32 *const array)
| dgMatrix (const dgVector &front, const dgVector &up, const dgVector &right, const dgVector &posit)
| dgMatrix (const dgQuaternion &rotation, const dgVector &position)
| dgMatrix (const dgVector &front)
| dgMatrix (const dgVector &p, const dgVector &q)
dgVector & | operator[] (dgInt32 i)
const dgVector & | operator[] (dgInt32 i) const
dgMatrix | Inverse () const
dgMatrix | Inverse4x4 () const
dgMatrix | Transpose () const
dgMatrix | Transpose4X4 () const
dgMatrix | Symetric3by3Inverse () const
dgVector | RotateVector (const dgVector &v) const
dgVector | UnrotateVector (const dgVector &v) const
dgVector | TransformVector (const dgVector &v) const
dgVector | UntransformVector (const dgVector &v) const
dgPlane | TransformPlane (const dgPlane &localPlane) const
dgPlane | UntransformPlane (const dgPlane &globalPlane) const
void | TransformBBox (const dgVector &p0local, const dgVector &p1local, dgVector &p0, dgVector &p1) const
void | CalcPitchYawRoll (dgVector &euler0, dgVector &euler1) const
void | TransformTriplex (dgFloat32 *const dst, dgInt32 dstStrideInBytes, const dgFloat32 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
void | TransformTriplex (dgFloat64 *const dst, dgInt32 dstStrideInBytes, const dgFloat64 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
void | TransformTriplex (dgFloat64 *const dst, dgInt32 dstStrideInBytes, const dgFloat32 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
bool | TestOrthogonal () const
bool | TestSymetric3x3 () const
dgMatrix | operator* (const dgMatrix &B) const
void | EigenVectors (dgVector &eigenValues, const dgMatrix &initialGuess=dgGetIdentityMatrix())
void | EigenVectors (const dgMatrix &initialGuess=dgGetIdentityMatrix())
void | PolarDecomposition (dgMatrix &transformMatrix, dgVector &scale, dgMatrix &stretchAxis, const dgMatrix &initialStretchAxis=dgGetIdentityMatrix()) const
| dgMatrix (const dgMatrix &transformMatrix, const dgVector &scale, const dgMatrix &stretchAxis)

## Protected Attributes

dgMatrix | m_absDir
dgVector | m_p0
dgVector | m_p1

## Friends

class | dgAABBPolygonSoup
class | dgCollisionUserMesh
class | dgCollisionHeightField

## Additional Inherited Members

Public Attributes inherited from dgObb
dgVector | m_size
Public Attributes inherited from dgMatrix
dgVector | m_front
dgVector | m_up
dgVector | m_right
dgVector | m_posit
Static Public Attributes inherited from dgMatrix
static dgMatrix | m_zeroMatrix
static dgMatrix | m_identityMatrix

## Constructor & Destructor Documentation

## § dgFastAABBInfo() [1/3]

DG_INLINE dgFastAABBInfo::dgFastAABBInfo | ( |  | ) |

inline

## § dgFastAABBInfo() [2/3]

DG_INLINE dgFastAABBInfo::dgFastAABBInfo | ( | const dgMatrix & | matrix,
|  | const dgVector & | size
| ) |  |

inline

## § dgFastAABBInfo() [3/3]

DG_INLINE dgFastAABBInfo::dgFastAABBInfo | ( | const dgVector & | p0,
|  | const dgVector & | p1
| ) |  |

inline

## Member Function Documentation

## § PolygonBoxDistance()

DG_INLINE dgFloat32 dgFastAABBInfo::PolygonBoxDistance | ( | const dgVector & | faceNormal,
|  | dgInt32 | indexCount,
|  | const dgInt32 *const | indexArray,
|  | dgInt32 | stride,
|  | const dgFloat32 *const | vertexArray
| ) |  | const

inline

## § PolygonBoxRayDistance()

DG_INLINE dgFloat32 dgFastAABBInfo::PolygonBoxRayDistance | ( | const dgVector & | faceNormal,
|  | dgInt32 | indexCount,
|  | const dgInt32 *const | indexArray,
|  | dgInt32 | stride,
|  | const dgFloat32 *const | vertexArray,
|  | const dgFastRayTest & | ray
| ) |  | const

inline

## § SetTransposeAbsMatrix()

DG_INLINE void dgFastAABBInfo::SetTransposeAbsMatrix | ( | const dgMatrix & | matrix | ) |

inline

## Friends And Related Function Documentation

## § dgAABBPolygonSoup

friend class dgAABBPolygonSoup

friend

## § dgCollisionHeightField

friend class dgCollisionHeightField

friend

## § dgCollisionUserMesh

friend class dgCollisionUserMesh

friend

## Member Data Documentation

## § m_absDir

dgMatrix dgFastAABBInfo::m_absDir

protected

## § m_p0

dgVector dgFastAABBInfo::m_p0

protected

## § m_p1

dgVector dgFastAABBInfo::m_p1

protected

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgIntersections.h